AsterNet Class Library (Sandcastle documentation)

| Logger Class

Facade to hide details of the underlying logging system.
Inheritance Hierarchy
System
Object
AsterNET
Logger

Namespace: AsterNET
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public sealed class Logger

    Public NotInheritable Class Logger

    public ref class Logger sealed

    [<SealedAttribute>]
    type Logger =  class end

The Logger type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| Logger | Creates a new CommonsLoggingLog obtained from commons-logging's LogFactory for the given class.

Top
Methods

| Name | Description
--- | --- | ---
| Debug(Object) |
| Debug(String) |
| Debug(String, Exception) |
| Debug(String, Object ) |
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Error(Object) |
| Error(String) |
| Error(String, Exception) |
| Error(String, Object ) |
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| Info(Object) |
| Info(String) |
| Info(String, Exception) |
| Info(String, Object ) |
| Instance | Returns an instance of Log suitable for logging from the given class.
| IsVisible | Get visibility for message level of class:method
| ToString | Returns a string that represents the current object. (Inherited from Object.)
| Visible(Boolean, Logger MessageLevel) | Set visibility for message level of class:method
| Visible(Boolean, Logger MessageLevel, String) | Set visibility for message level of class:method
| Warning(Object) |
| Warning(String) |
| Warning(String, Exception) |
| Warning(String, Object ) |

Top
See Also

#### Reference

AsterNET Namespace